.topbar {
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    height: 110px;
    background: #a39e95;
    display: flex;
    align-items: center;
    padding: 0 48px;
    z-index: 9999;
    box-shadow: 0 1px 0 rgba(0,0,0,0.08);
}

.topbar-inner {
    width: 100%;
    display: flex;
    align-items: center;
    justify-content: flex-start;
    gap: 60px
}

.logo-link {
    display: flex;
    align-items: center;
}

.logo {
    height: 65px; 
    width: auto;
    display: block;
}

.nav{
  display: flex;
  gap: 34px;
  align-items: center;
}

.btn {
    position: relative;
    display: inline-block;
    background: transparent;
    color: #100d3d;
    text-decoration: none;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 0.02em;
    padding: 3px 2px;
}

.btn::after{
  content: "";
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0px;
  height: 1px;
  background: currentColor;

  transform: scaleX(0);
  transform-origin: left;
  transition: transform 220ms ease;
}

.btn:hover::after{
  transform: scaleX(1);      /* underline draws left -> right */
  transform-origin: left;
}

.btn:not(:hover)::after{
  transform-origin: right;   /* underline disappears left -> right */
}

